#!/bin/bash

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXT_OPENCV . $*
fi

if [ -z $GEXT_OPENCV ] ; then
  source gs3-setup.sh
fi

if [ -z $GEXTOPENCV_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXTOPENCV_DEVEL=$GEXT_OPENCV
    
    export PATH="$GEXTOPENCV_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXTOPENCV_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXTOPENCV_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXTOPENCV_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXTOPENCV_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXTOPENCV_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    echo "+Your environment is now setup to compile with the OpenCV Support Library"

else
    echo "+Your environment is already setup to compile with the OpenCV Support Library"
fi